<?php
namespace Incoviba\Model\Venta\Unidad;

use Incoviba\Common\Ideal;
use Incoviba\Model;

class Prorrateo extends Ideal\Model
{
    public Model\Venta\Unidad $unidad;
    public float $prorrateo;

    public function jsonSerialize(): mixed
    {
        return [
            'unidad_id' => $this->unidad->id,
            'prorrateo' => $this->prorrateo,
        ];
    }
}
